Package org.wso2.carbon.mediation.initializer.multitenancy

# Class TenantServiceBusInitializer

java.lang.Object
org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver
org.wso2.carbon.mediation.initializer.multitenancy.TenantServiceBusInitializer

All Implemented Interfaces:
  `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`

public class TenantServiceBusInitializer extends org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver
This creates the `SynapseConfiguration` for the respective tenants.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TenantServiceBusInitializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createdConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)`
  `void`
  `createSynapseDebugEnvironment(org.apache.synapse.ServerContextInformation contextInfo)`
  creates Synapse debug environment creates TCP channels using command and event ports which initializes the interface to outer debugger set the relevant information in the server configuration so that it can be used when Synapse environment initializes
  `String`
  `getProviderClass()`
  `protected boolean`
  `isRepoExists(org.wso2.carbon.registry.core.Registry registry)`
  Checks whether the given repository already existing.
  `boolean`
  `isRunningDebugMode(String tenantDomain)`
  `static boolean`
  `isRunningSamplesMode()`
  `void`
  `terminatingConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)`

  ### Methods inherited from class org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver

  `creatingConfigurationContext, terminatedConfigurationContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TenantServiceBusInitializer

    public TenantServiceBusInitializer()

- ## Method Details

  - ### createdConfigurationContext

    public void createdConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)
    Specified by:
      `createdConfigurationContext` in interface `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`
    Overrides:
      `createdConfigurationContext` in class `org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver`

  - ### terminatingConfigurationContext

    public void terminatingConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)
    Specified by:
      `terminatingConfigurationContext` in interface `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`
    Overrides:
      `terminatingConfigurationContext` in class `org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver`

  - ### createSynapseDebugEnvironment

    public void createSynapseDebugEnvironment(org.apache.synapse.ServerContextInformation contextInfo)
    creates Synapse debug environment creates TCP channels using command and event ports which initializes the interface to outer debugger set the relevant information in the server configuration so that it can be used when Synapse environment initializes
    Parameters:
      `contextInfo` - Server Context Information

  - ### isRepoExists

    protected boolean isRepoExists(org.wso2.carbon.registry.core.Registry registry)
    Checks whether the given repository already existing.
    Returns:

  - ### isRunningDebugMode

    public boolean isRunningDebugMode(String tenantDomain)

  - ### getProviderClass

    public String getProviderClass()

  - ### isRunningSamplesMode

    public static boolean isRunningSamplesMode()